<?php namespace App\ViewModels\Especie\EspecieDetailsViewModel;


use App\Utils\Builder;

class EspecieDetailsViewModelBuilder implements Builder
{
    protected $id;
    protected $nome;

    public function setId($id)
    {
        $this->id = $id;
        return $this;
    }

    public function setNome($nome)
    {
        $this->nome = $nome;
        return $this;
    }

    public function build() : EspecieDetailsViewModel
    {
        $procedimento_details_vm = new EspecieDetailsViewModel();
        $procedimento_details_vm->setId($this->id);
        $procedimento_details_vm->setNome($this->nome);
        return $procedimento_details_vm;
    }


}